import 'package:flutter/foundation.dart';

class Flow<T> with ChangeNotifier {
  T _value;
  T get value => _value;

  Flow(this._value);

  void emit(T newValue) {
    _value = newValue;
    notifyListeners();
  }
}
